GET
https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/exchange
Returns the exchange arbitrages of an arbitrage bot that are still running (not completed, cancelled or failed).
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/exchange" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/exchange', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/exchange",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/exchange');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of an arbitrage bot. |
Response
{
"data": [
{
"id": "2397001",
"base_currency": "USDT",
"currency": "ETH",
"buy_exchange": "binance",
"buy_pair": "ETHUSDT",
"buy_order_id": "0",
"buy_trade_id": "0",
"buy_order_type": "limit",
"buy_amount": "0.0500000000000000",
"buy_amount_filled": null,
"buy_rate": "2500.1200000000000000",
"buy_cost": "125.0060000000000000",
"buy_fee": null,
"sell_exchange": "kraken",
"sell_pair": "ETH/USDT",
"sell_order_id": "0",
"sell_trade_id": "0",
"sell_order_type": "limit",
"sell_amount": "0.0500000000000000",
"sell_amount_filled": null,
"sell_rate": "2512.5000000000000000",
"sell_cost": "125.6250000000000000",
"sell_fee": null,
"found_date": "2026-09-25 10:00:00",
"completed_date": null,
"order_trigger": "exchange-arbitrage",
"arbitrage_values": {
"cur": "ETH",
"base_cur": "USDT",
"percentage": "0.50",
"lowest": {
"ex_key": "binance",
"rate": "2500.12000000",
"pair": "ETHUSDT",
"base_cur": "USDT",
"cur": "ETH"
},
"highest": {
"ex_key": "kraken",
"rate": "2512.50000000",
"pair": "ETH/USDT",
"base_cur": "USDT",
"cur": "ETH"
}
},
"market_order": "0",
"result_message": null,
"profit": null,
"completed": "0",
"cancelled": "0",
"failed": "0",
"reversed": "0"
}
]
}